View Issue Details

IDProjectCategoryView StatusLast Update
0007635mantisbtinstallationpublic2014-12-08 00:34
ReporterrobocoderAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.6 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0007635: Install script can't get MySQL version if database user doesn't exist or doesn't have access privileges
Description

install.php: ServerInfo() needs to be connected in order to get the database version. If the database user doesn't exist or doesn't have access privileges, ServerInfo() returns an array contain undefined values.

Propose moving the call earlier (i.e., when admin user is connected). For future-proofing, add a null check before version_compare (otherwise php segfaults).

Additional Information

A fix appears in install feature/patch 0007632.

TagsNo tags attached.

Relationships

related to 0007632 closeddregad Create operational database user at time of installation 

Activities

dregad

dregad

2013-10-16 11:09

developer   ~0038280

This is possibly resolved in master branch; please test with a nightly build starting tomorrow and let us know your feedback.

Related Changesets

MantisBT: master be00a3b9

2013-10-17 11:43:45

dregad

Details Diff
Install: perform DB version check while connected as admin

This avoids the issue where the call to ServerInfo() only works on MySQL
if the database is open, which may not be the case when testing with
database user (e.g. if user does not exist or does not have access)

Fixes 0007635
mod - admin/install.php Diff File

Issue History

Date Modified Username Field Change
2006-12-07 12:26 robocoder New Issue
2013-06-18 14:28 atrol Status new => confirmed
2013-10-16 11:08 dregad Relationship added related to 0007632
2013-10-16 11:09 dregad Note Added: 0038280
2013-10-17 13:09 dregad Changeset attached => MantisBT master be00a3b9
2013-10-17 13:09 dregad Assigned To => dregad
2013-10-17 13:09 dregad Status confirmed => resolved
2013-10-17 13:09 dregad Resolution open => fixed
2013-10-17 13:09 dregad Fixed in Version => 1.3.0-beta.1
2014-01-24 11:05 atrol Target Version => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed